--	StatsViewer
--	Created by Tarl-Cabot

local ver = "1.02"
local StatsViewer_SCENE = SCENE_MANAGER.scenes.inventory
local window = WINDOW_MANAGER:CreateTopLevelWindow( "StatsWindow" ) 
	StatsWindow:SetDimensions(420, 330)
	StatsWindow:SetAnchor(TOPLEFT, GuiRoot, TOPLEFT, 20, 100)
	StatsWindow:SetHidden( true )
	StatsWindow:SetMovable( true )
	StatsWindow:SetMouseEnabled( true )

local BG = WINDOW_MANAGER:CreateControl( "StatsWindow_BG",  StatsWindow, CT_BACKDROP)
	StatsWindow_BG:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 0, 0)
	StatsWindow_BG:SetAnchorFill(StatsWindow)
	StatsWindow_BG:SetCenterColor( 0,0,0,0 )
	StatsWindow_BG:SetEdgeColor( 0,0,0,0 )
	StatsWindow_BG:SetEdgeTexture("",8,1,2)

local ManaLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_Mana_Label", StatsWindow, CT_LABEL)
	StatsWindow_Mana_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_Mana_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 30, 10)
	StatsWindow_Mana_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_Mana_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_Mana_Label:SetVerticalAlignment( CENTER )

local SanteLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_Sante_Label", StatsWindow, CT_LABEL)
	StatsWindow_Sante_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_Sante_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 170, 10)
	StatsWindow_Sante_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_Sante_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_Sante_Label:SetVerticalAlignment( CENTER )

local VigueurLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_Vigueur_Label", StatsWindow, CT_LABEL)
	StatsWindow_Vigueur_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_Vigueur_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 285, 10)
	StatsWindow_Vigueur_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_Vigueur_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_Vigueur_Label:SetVerticalAlignment( CENTER )
	
local ManaRegenLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_ManaRegen_Label", StatsWindow, CT_LABEL)
	StatsWindow_ManaRegen_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_ManaRegen_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 30, 30)
	StatsWindow_ManaRegen_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_ManaRegen_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_ManaRegen_Label:SetVerticalAlignment( CENTER )

local SanteRegenLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_SanteRegen_Label", StatsWindow, CT_LABEL)
	StatsWindow_SanteRegen_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_SanteRegen_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 170, 30)
	StatsWindow_SanteRegen_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_SanteRegen_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_SanteRegen_Label:SetVerticalAlignment( CENTER )

local VigueurRegenLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_VigueurRegen_Label", StatsWindow, CT_LABEL)
	StatsWindow_VigueurRegen_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_VigueurRegen_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 285, 30)
	StatsWindow_VigueurRegen_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_VigueurRegen_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_VigueurRegen_Label:SetVerticalAlignment( CENTER )
	
	--[[
local RegenManaLabelidle = WINDOW_MANAGER:CreateControl( "StatsWindow_ManaRegenidle_Label", StatsWindow, CT_LABEL)
	StatsWindow_ManaRegenidle_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_ManaRegenidle_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 30, 50)
	StatsWindow_ManaRegenidle_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_ManaRegenidle_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_ManaRegenidle_Label:SetVerticalAlignment( CENTER )
	
local RegenSanteLabelidle = WINDOW_MANAGER:CreateControl( "StatsWindow_SanteRegenidle_Label", StatsWindow, CT_LABEL)
	StatsWindow_SanteRegenidle_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_SanteRegenidle_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 170, 50)
	StatsWindow_SanteRegenidle_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_SanteRegenidle_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_SanteRegenidle_Label:SetVerticalAlignment( CENTER )
	
local RegenStamLabelidle = WINDOW_MANAGER:CreateControl( "StatsWindow_StamRegenidle_Label", StatsWindow, CT_LABEL)
	StatsWindow_StamRegenidle_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_StamRegenidle_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 285, 50)
	StatsWindow_StamRegenidle_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_StamRegenidle_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_StamRegenidle_Label:SetVerticalAlignment( CENTER )
	
	
	--]]
	
	
	
	

local SortDamageLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_SortDamage_Label", StatsWindow, CT_LABEL)
	StatsWindow_SortDamage_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_SortDamage_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 30, 90)
	StatsWindow_SortDamage_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_SortDamage_Label:SetColor( 1,1,1,1 )
	StatsWindow_SortDamage_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_SortDamage_Label:SetVerticalAlignment( CENTER )	
	
local SortCritLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_SortCrit_Label", StatsWindow, CT_LABEL)
	StatsWindow_SortCrit_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_SortCrit_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 30, 110)
	StatsWindow_SortCrit_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_SortCrit_Label:SetColor( 1,1,1,1 )
	StatsWindow_SortCrit_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_SortCrit_Label:SetVerticalAlignment( CENTER )	
	
local SortResist = WINDOW_MANAGER:CreateControl( "StatsWindow_SortResist_Label", StatsWindow, CT_LABEL)
	StatsWindow_SortResist_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_SortResist_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 30, 130)
	StatsWindow_SortResist_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_SortResist_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_SortResist_Label:SetVerticalAlignment( CENTER )	
	
local ArmeDamageLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_ArmeDamage_Label", StatsWindow, CT_LABEL)
	StatsWindow_ArmeDamage_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_ArmeDamage_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 170, 90)
	StatsWindow_ArmeDamage_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_ArmeDamage_Label:SetColor( 1,1,1,1 )
	StatsWindow_ArmeDamage_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_ArmeDamage_Label:SetVerticalAlignment( CENTER )
	
local ArmeCritLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_ArmeCrit_Label", StatsWindow, CT_LABEL)
	StatsWindow_ArmeCrit_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_ArmeCrit_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 170, 110)
	StatsWindow_ArmeCrit_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_ArmeCrit_Label:SetColor( 1,1,1,1 )
	StatsWindow_ArmeCrit_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_ArmeCrit_Label:SetVerticalAlignment( CENTER )

local ArmureLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_Armure_Label", StatsWindow, CT_LABEL)
	StatsWindow_Armure_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_Armure_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 170, 130)
	StatsWindow_Armure_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_Armure_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_Armure_Label:SetVerticalAlignment( CENTER )

local FireResistLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_FireResist_Label", StatsWindow, CT_LABEL)
	StatsWindow_FireResist_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_FireResist_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 30, 180)
	StatsWindow_FireResist_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_FireResist_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_FireResist_Label:SetVerticalAlignment( CENTER )
	
	
local ColdResistLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_ColdResist_Label", StatsWindow, CT_LABEL)
	StatsWindow_ColdResist_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_ColdResist_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 30, 200)
	StatsWindow_ColdResist_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_ColdResist_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_ColdResist_Label:SetVerticalAlignment( CENTER )

local ShockResistLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_ShockResist_Label", StatsWindow, CT_LABEL)
	StatsWindow_ShockResist_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_ShockResist_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 30, 220)
	StatsWindow_ShockResist_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_ShockResist_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_ShockResist_Label:SetVerticalAlignment( CENTER )
	
local ResistGenLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_ResistGen_Label", StatsWindow, CT_LABEL)
	StatsWindow_ResistGen_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_ResistGen_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 30, 240)
	StatsWindow_ResistGen_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_ResistGen_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_ResistGen_Label:SetVerticalAlignment( CENTER )

local DiseaseResistLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_DiseaseResist_Label", StatsWindow, CT_LABEL)
	StatsWindow_DiseaseResist_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_DiseaseResist_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 150, 180)
	StatsWindow_DiseaseResist_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_DiseaseResist_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_DiseaseResist_Label:SetVerticalAlignment( CENTER )

local PoisonResistLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_PoisonResist_Label", StatsWindow, CT_LABEL)
	StatsWindow_PoisonResist_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_PoisonResist_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 150, 200)
	StatsWindow_PoisonResist_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_PoisonResist_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_PoisonResist_Label:SetVerticalAlignment( CENTER )
	
	
local ResistCritLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_ResistCrit_Label", StatsWindow, CT_LABEL)
	StatsWindow_ResistCrit_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_ResistCrit_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 150, 220)
	StatsWindow_ResistCrit_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_ResistCrit_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_ResistCrit_Label:SetVerticalAlignment( CENTER )
	
	
	
	
	
local AttackPowerLabel = WINDOW_MANAGER:CreateControl( "StatsWindow_Attack_Power_Label", StatsWindow, CT_LABEL)
	StatsWindow_Attack_Power_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	StatsWindow_Attack_Power_Label:SetAnchor(TOPLEFT, StatsWindow, TOPLEFT, 30, 370)
	StatsWindow_Attack_Power_Label:SetFont("$(BOLD_FONT)|14|soft-shadow-thick")
	StatsWindow_Attack_Power_Label:SetHorizontalAlignment( CENTER )
	StatsWindow_Attack_Power_Label:SetVerticalAlignment( CENTER )
	
	
local ShieldLabel = WINDOW_MANAGER:CreateControl( "Shield_Label", StatsWindow, CT_LABEL)
	Shield_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	Shield_Label:SetAnchor(BOTTOMRIGHT, StatsWindow, BOTTOMRIGHT, 50, 50)
	Shield_Label:SetFont("$(BOLD_FONT)|10|soft-shadow-thick")
	Shield_Label:SetHorizontalAlignment( CENTER )
	Shield_Label:SetVerticalAlignment( CENTER )	
	
	
local TarlCabotLabel = WINDOW_MANAGER:CreateControl( "TarlCabot_Label", StatsWindow, CT_LABEL)
	TarlCabot_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	TarlCabot_Label:SetAnchor(BOTTOMLEFT, StatsWindow, BOTTOMLEFT, 10, 10)
	TarlCabot_Label:SetFont("$(BOLD_FONT)|10|soft-shadow-thick")
	TarlCabot_Label:SetHorizontalAlignment( CENTER )
	TarlCabot_Label:SetVerticalAlignment( CENTER )
	
	
local BuffTestLabel = WINDOW_MANAGER:CreateControl( "BuffTest_Label", StatsWindow, CT_LABEL)
	BuffTest_Label:SetDimensions(StatsWindow:GetWidth() , 25)
	BuffTest_Label:SetAnchor(BOTTOMRIGHT, StatsWindow, BOTTOMRIGHT, 100, 100)
	BuffTest_Label:SetFont("$(BOLD_FONT)|10|soft-shadow-thick")
	BuffTest_Label:SetHorizontalAlignment( CENTER )
	BuffTest_Label:SetVerticalAlignment( CENTER )
	
	
	
	
	
	
	
	

local function sendM(message)
	if(CHAT_SYSTEM)
	then
		CHAT_SYSTEM:AddMessage(tostring(message))
	end
end

local i = 0

function StatsViewerWindow()
	
	StatsWindow:SetHidden( false )
	
	StatsViewer_SCENE:RegisterCallback("StateChange", function(oldState, newState) 
	if(newState == "hidden" ) or (newState == "hiding" )then
		StatsWindow:SetHidden( false )
		StatsWindow_BG:SetCenterColor( 0,0,0,0 )
		StatsWindow_BG:SetCenterColor( 0,0,0,0 )
		TarlCabot_Label:SetText(string.format(""))
	elseif(newState == "shown" ) or (newState == "showing" ) then
		StatsWindow:SetHidden( false )
		StatsWindow_BG:SetCenterColor( 0,0,0,.4 )
		TarlCabot_Label:SetText(string.format("- By Tarl Cabot - Pour la gloire de GOR - >>> v:",ver))
	end
	end)

	if ( GetPlayerStat(STAT_MAGICKA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_MAGICKA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_Mana_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_Mana_Label:SetText(string.format("Mana: %d", GetPlayerStat(STAT_MAGICKA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(STAT_MAGICKA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) - GetPlayerStat(STAT_MAGICKA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	else
		StatsWindow_Mana_Label:SetColor( 1,1,1,1 )
		StatsWindow_Mana_Label:SetText(string.format("Mana: %d", GetPlayerStat(STAT_MAGICKA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end

	if ( GetPlayerStat(STAT_HEALTH_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_HEALTH_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_Sante_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_Sante_Label:SetText(string.format("Life: %d", GetPlayerStat(STAT_HEALTH_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(STAT_HEALTH_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) - GetPlayerStat(STAT_HEALTH_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	else
		StatsWindow_Sante_Label:SetColor( 1,1,1,1 )
		StatsWindow_Sante_Label:SetText(string.format("Life: %d", GetPlayerStat(STAT_HEALTH_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
		
	end
	
	if ( GetPlayerStat(STAT_STAMINA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_STAMINA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_Vigueur_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_Vigueur_Label:SetText(string.format("Stam: %d", GetPlayerStat(STAT_STAMINA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(STAT_STAMINA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) -  GetPlayerStat(STAT_STAMINA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	else
		StatsWindow_Vigueur_Label:SetColor( 1,1,1,1 )
		StatsWindow_Vigueur_Label:SetText(string.format("Stam: %d", GetPlayerStat(STAT_STAMINA_MAX, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	if ( GetPlayerStat(STAT_MAGICKA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_MAGICKA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_ManaRegen_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_ManaRegen_Label:SetText(string.format("Regen: %d", GetPlayerStat(STAT_MAGICKA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(STAT_MAGICKA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) - GetPlayerStat(STAT_MAGICKA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	else
		StatsWindow_ManaRegen_Label:SetColor( 1,1,1,1 )
		StatsWindow_ManaRegen_Label:SetText(string.format("Regen: %d", GetPlayerStat(STAT_MAGICKA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
		
	if ( GetPlayerStat(STAT_HEALTH_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_HEALTH_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_SanteRegen_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_SanteRegen_Label:SetText(string.format("Regen: %d", GetPlayerStat(STAT_HEALTH_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(STAT_HEALTH_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)-GetPlayerStat(STAT_HEALTH_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	else
		StatsWindow_SanteRegen_Label:SetColor( 1,1,1,1 )
		StatsWindow_SanteRegen_Label:SetText(string.format("Regen: %d", GetPlayerStat(STAT_HEALTH_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
		
	if ( GetPlayerStat(STAT_STAMINA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_STAMINA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_VigueurRegen_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_VigueurRegen_Label:SetText(string.format("Regen: %d", GetPlayerStat(STAT_STAMINA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(STAT_STAMINA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)-GetPlayerStat(STAT_STAMINA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	else
		StatsWindow_VigueurRegen_Label:SetColor( 1,1,1,1 )
		StatsWindow_VigueurRegen_Label:SetText(string.format("Regen: %d", GetPlayerStat(STAT_STAMINA_REGEN_COMBAT, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end

	if ( GetPlayerStat(STAT_SPELL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_SPELL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_SortResist_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_SortResist_Label:SetText(string.format("MagicResist: %d", GetPlayerStat(STAT_SPELL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(STAT_SPELL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)-GetPlayerStat(STAT_SPELL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	else
		StatsWindow_SortResist_Label:SetColor( 1,1,1,1 )
		StatsWindow_SortResist_Label:SetText(string.format("MagicResist: %d", GetPlayerStat(STAT_SPELL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	if ( GetPlayerStat(STAT_PHYSICAL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_PHYSICAL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_Armure_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_Armure_Label:SetText(string.format("Armor: %d", GetPlayerStat(STAT_PHYSICAL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(STAT_PHYSICAL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)- GetPlayerStat(STAT_PHYSICAL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	else
		StatsWindow_Armure_Label:SetColor( 1,1,1,1 )
		StatsWindow_Armure_Label:SetText(string.format("Armor: %d", GetPlayerStat(STAT_PHYSICAL_RESIST, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	if ( GetPlayerStat(STAT_DAMAGE_RESIST_COLD, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_DAMAGE_RESIST_COLD, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_ColdResist_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_ColdResist_Label:SetText(string.format("ColdResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_COLD, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(STAT_DAMAGE_RESIST_COLD, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)-GetPlayerStat(STAT_DAMAGE_RESIST_COLD, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	else
		StatsWindow_ColdResist_Label:SetColor( 1,1,1,1 )
		StatsWindow_ColdResist_Label:SetText(string.format("ColdResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_COLD, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	if ( GetPlayerStat(STAT_DAMAGE_RESIST_FIRE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_DAMAGE_RESIST_FIRE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_FireResist_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_FireResist_Label:SetText(string.format("FireResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_FIRE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(STAT_DAMAGE_RESIST_FIRE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)-GetPlayerStat(STAT_DAMAGE_RESIST_FIRE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	else
		StatsWindow_FireResist_Label:SetColor( 1,1,1,1 )
		StatsWindow_FireResist_Label:SetText(string.format("FireResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_FIRE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	
	if ( GetPlayerStat(STAT_DAMAGE_RESIST_SHOCK, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_DAMAGE_RESIST_SHOCK, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_ShockResist_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_ShockResist_Label:SetText(string.format("ShockResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_SHOCK, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(STAT_DAMAGE_RESIST_SHOCK, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)-GetPlayerStat(STAT_DAMAGE_RESIST_SHOCK, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	else
		StatsWindow_ShockResist_Label:SetColor( 1,1,1,1 )
		StatsWindow_ShockResist_Label:SetText(string.format("ShockResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_SHOCK, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	if ( GetPlayerStat(STAT_DAMAGE_RESIST_DISEASE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_DAMAGE_RESIST_DISEASE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_DiseaseResist_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_DiseaseResist_Label:SetText(string.format("DiseaseResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_DISEASE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(STAT_DAMAGE_RESIST_DISEASE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)-GetPlayerStat(STAT_DAMAGE_RESIST_DISEASE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	else
		StatsWindow_DiseaseResist_Label:SetColor( 1,1,1,1 )
		StatsWindow_DiseaseResist_Label:SetText(string.format("DiseaseResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_DISEASE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	if ( GetPlayerStat(STAT_DAMAGE_RESIST_POISON, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_DAMAGE_RESIST_POISON, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_PoisonResist_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_PoisonResist_Label:SetText(string.format("PoisonResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_POISON, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(STAT_DAMAGE_RESIST_POISON, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)-GetPlayerStat(STAT_DAMAGE_RESIST_POISON, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	else
		StatsWindow_PoisonResist_Label:SetColor( 1,1,1,1 )
		StatsWindow_PoisonResist_Label:SetText(string.format("PoisonResist: %d", GetPlayerStat(STAT_DAMAGE_RESIST_POISON, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	if ( GetPlayerStat(STAT_CRITICAL_RESISTANCE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(  STAT_CRITICAL_RESISTANCE   , STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_ResistCrit_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_ResistCrit_Label:SetText(string.format("Resist Crit  : %d", GetPlayerStat(  STAT_CRITICAL_RESISTANCE   , STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(  STAT_CRITICAL_RESISTANCE   , STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)-GetPlayerStat(  STAT_CRITICAL_RESISTANCE   , STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	else
		StatsWindow_ResistCrit_Label:SetColor( 1,1,1,1 )
		StatsWindow_ResistCrit_Label:SetText(string.format("Resist Crit  : %d", GetPlayerStat(  STAT_CRITICAL_RESISTANCE   , STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	
	if ( GetPlayerStat(STAT_DAMAGE_RESIST_GENERI, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(  STAT_DAMAGE_RESIST_GENERI   , STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_ResistGen_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_ResistGen_Label:SetText(string.format("Resist Generic  : %d", GetPlayerStat(  STAT_DAMAGE_RESIST_GENERI   , STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(  STAT_DAMAGE_RESIST_GENERI   , STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)- GetPlayerStat(  STAT_DAMAGE_RESIST_GENERI   , STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	else
		StatsWindow_ResistGen_Label:SetColor( 1,1,1,1 )
		StatsWindow_ResistGen_Label:SetText(string.format("Resist Generic  : %d", GetPlayerStat(  STAT_DAMAGE_RESIST_GENERI   , STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	end
	--[[
	if ( GetPlayerStat(STAT_MAGICKA_REGEN_IDLE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_MAGICKA_REGEN_IDLE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_ManaRegenidleidle_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_ManaRegenidleidle_Label:SetText(string.format("ManaRegenIdle: %d", GetPlayerStat(STAT_MAGICKA_REGEN_IDLE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(STAT_MAGICKA_REGEN_IDLE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)))
	end
	
	if ( GetPlayerStat(STAT_HEALTH_REGEN_IDLE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_HEALTH_REGEN_IDLE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_SanteRegenidle_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_SanteRegenidle_Label:SetText(string.format("SanteRegenIdle: %d", GetPlayerStat(STAT_HEALTH_REGEN_IDLE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(STAT_HEALTH_REGEN_IDLE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)))
	end
	
	if ( GetPlayerStat(STAT_STAMINA_REGEN_IDLE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) ~= GetPlayerStat(STAT_STAMINA_REGEN_IDLE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP) ) then
		StatsWindow_StamRegenidle_Label:SetColor( 1,0.1,0.1,1 )
		StatsWindow_StamRegenidle_Label:SetText(string.format("StamRegenIdle: %d", GetPlayerStat(STAT_STAMINA_REGEN_IDLE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)) .. string.format(" - %d", GetPlayerStat(STAT_STAMINA_REGEN_IDLE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_DONT_APPLY_SOFT_CAP)))
	end
		--]]
		
		
	StatsWindow_ArmeCrit_Label:SetText(string.format("Arme Crit: %.1f", GetPlayerStat(STAT_CRITICAL_STRIKE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) / 10).." \%")
	StatsWindow_SortCrit_Label:SetText(string.format("Magic Crit: %.1f", GetPlayerStat(STAT_SPELL_CRITICAL, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP) / 10 ).." \%")
	StatsWindow_ArmeDamage_Label:SetText(string.format("Arme damage: %d", GetPlayerStat(STAT_POWER, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	StatsWindow_SortDamage_Label:SetText(string.format("Magic damage: %d", GetPlayerStat(STAT_SPELL_POWER, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP)))
	
	--[[
	i = i+1;
	
	if (i == 300) then
		sendM( GetPlayerStat(STAT_CRITICAL_RESISTANCE, STAT_BONUS_OPTION_APPLY_BONUS, STAT_SOFT_CAP_OPTION_APPLY_SOFT_CAP))
		i = 0;
	end
	 --]]
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
end